 %-----------------------------------------------------------------------
% Systemparameter 
%-----------------------------------------------------------------------

%-----------------------------------------------------------------------
% Lastflussparameter 
%-----------------------------------------------------------------------

global lastfluss_anzeige  trafoschritt ...
       refschritt refpmax Qgrenzen grenzenueberpruefung PU_zu_PQ lastfluss_erg_anzeige;
       %Konvergenzschranke iteration_max

% Flag fr den Plot der Lastfluss-Konvergenz (~1 = keine Anzeige)
lastfluss_anzeige=0;   

% Flag zur Ergebnisanzeige des Lastflusses auf dem Workspace (~1 = keine Anzeige)
lastfluss_erg_anzeige=0;

% Maximal Zulssiger Konvergenzschranke
Konvergenzschranke = 1E-4;       

% Maximale Anzahl von Iterationen 
iteration_max = 50;

% Transformatoren werden nur bei jeder trafoschritt Iteration gestuft
% (BISHER NICHT IMPLEMENTIERT)
trafoschritt = 2; 

% Leistungsanpassung der Generatoreinspeisung nur bei jeder refschritt
% Iteration (Leistung Ref.-Kn aufteilen auf alle KWs)
% (BISHER NICHT IMPLEMENTIERT)
refschritt = 2;          
 
% Maximal erlaubte Leistungsabweichung des Referenzknotens vom Sollwert
% (refpmax = inf keine Anpassung) ( mit refschritt zusammen)
% (BISHER NICHT IMPLEMENTIERT)
refpmax = inf;  

% Art und Weise wie die Blindleistungsgrenzen bercksichtigt werden
% Qgrenzen=1 einfache Implementierung mit Qmin und Qmax
% Qgrenzen=sonst Generatordiagrammbercksichtigt (Baustelle) im Augenblick
% die Grenzen werden nicht bercksichtigt
Qgrenzen=1;

% Die Zurckwandlung von PU nach PQ-Knoten soll erfolgen dann Flag auf 1 setzen.
% Dies sollte nur selten der Fall sein da dieses jeweils jedes mal die Konvergenz
% verschlechtert durch die Struckturwandlung
PU_zu_PQ=1;

% Im wievielten Schritt die Iterationsgrenzen berprft werden
% PQ Grenzen berprft werden.

grenzenueberpruefung=7;

